Bug 1883672 - unnecessary explicit Requires: fdk-aac-free
Summary: unnecessary explicit Requires: fdk-aac-free
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 20:01 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2020-10-05 01:20 UTC (History)
12 users (show)

Fixed In Version: firefox-81.0.1-1.fc32 firefox-81.0.1-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 12:12:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2020-09-29 20:01:32 UTC
Description of problem:
https://src.fedoraproject.org/rpms/firefox/c/85160fd5ada4c253df27ca0a6136ec6b53200135?branch=master adds BR: fdk-aac-free-devel, which is fine and Requires: fdk-aac-free, which is not fine, as it entirely defeats the purpose of having the full fdk-aac package in RPMFusion. The automatically generated dependency on libfdk-aac.so.2 is satisfiable by both fdk-aac-free from Fedora and fdk-aac from RPMFusion.

Version-Release number of selected component (if applicable):
81.0-7.fc32

How reproducible:
Always

Steps to Reproduce:
1. dnf install fdk-aac (from rpmfusion-nonfree)
2. dnf remove fdk-aac-free
3. dnf update firefox-81.0-7.fc32

Actual results:
fdk-aac-free is pulled into the dnf transaction despite fdk-aac being installed already.

Expected results:
fdk-aac-free is not getting installed as long as fdk-aac is present.

Comment 1 Martin Stransky 2020-09-30 06:37:10 UTC
Thanks, I'll look at it.

Comment 2 Martin Stransky 2020-09-30 12:12:00 UTC
Fix added to firefox-81.0-9, Thanks.

Comment 3 Fedora Update System 2020-09-30 17:40:19 UTC
FEDORA-2020-12012bf6b1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-12012bf6b1

Comment 4 Fedora Update System 2020-09-30 17:40:22 UTC
FEDORA-2020-49c2c60857 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c2c60857

Comment 5 Fedora Update System 2020-10-01 01:29:52 UTC
FEDORA-2020-12012bf6b1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-12012bf6b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-12012bf6b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-01 02:15:31 UTC
FEDORA-2020-49c2c60857 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-49c2c60857`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c2c60857

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-02 01:27:17 UTC
FEDORA-2020-719fe4003b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-10-02 01:53:21 UTC
FEDORA-2020-1c7c9d0932 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1c7c9d0932`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c7c9d0932

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-03 02:42:09 UTC
FEDORA-2020-38b5ecdd73 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-38b5ecdd73`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-38b5ecdd73

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-05 01:20:49 UTC
FEDORA-2020-38b5ecdd73 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.